Fan, Samba installerar inte :(

Trädvy Permalänk
Medlem
Plats
Stockholm
Registrerad
Jul 2004

Fan, Samba installerar inte :(

OpenBSD 3.9

# pkg_add -v samba-3.0.21bp2
parsing samba-3.0.21bp2
Dependencies for samba-3.0.21bp2 resolve to: popt-1.7p0, libiconv-1.9.2p3 (todo: libiconv-1.9.2p3,popt-1.7p0)
samba-3.0.21bp2:parsing libiconv-1.9.2p3
samba-3.0.21bp2:libiconv-1.9.2p3: complete
samba-3.0.21bp2:parsing popt-1.7p0
samba-3.0.21bp2:popt-1.7p0: complete
Not an ustar archive header samba-3.0.21bp2: complete
Adjusting md5 for /usr/local/bin/net from d489c6ced90717288a0ee6a2efa1872d to 9419cfd06ac53923bdd24793afd2c679
/usr/sbin/pkg_add: Installation of samba-3.0.21bp2 failed , partial installation recorded as partial-samba-3.0.21bp2

Utan Samba fungerande blir det ju inget, hur trevligt OpenBSD än verkar vara :'(

Det "roliga" är ju att söker man på "Not an ustar archive header" så inser man att jag är typ ensam i hela världen med problemet....antagligen med ett av världens vanligaste installationer också (Samba)....på ett helt färskt standardinstallerat OpenBSD.

EDIT: Fixade det själv. Jag körde pkg_delete på partial-samba-3.0.21bp2.
De två dependencypaketen verkade ligga kvar och dom var det nog inget fel på så dom lämnade jag.
Sen ändrade jag ftp till ftp.openbsd.org och så körde jag en ny install därifrån (utan att den behövde tanka dependencys som ju redan installerats) och den här gången funkade det

CCNA sedan juni 2006

Trädvy Permalänk
Medlem
Plats
Laholm
Registrerad
Okt 2005

Öhhmm... Jag ser ju direkt vad felet är... Dependencys! Står att du behöver lösa kraven för Samba... Lös dem sen fixa! Svårt eller?

ASP.NET programmerare i C#
Twitter: http://www.twitter.com/hagbarddenstore

Trädvy Permalänk
Medlem
Registrerad
Nov 2005

Seb74 du borde gjort EN tråd för dit openBSD projekt

Trädvy Permalänk
Medlem
Plats
Stockholm
Registrerad
Jul 2004
Citat:

Ursprungligen inskrivet av hagbarddenstore
Öhhmm... Jag ser ju direkt vad felet är... Dependencys! Står att du behöver lösa kraven för Samba... Lös dem sen fixa! Svårt eller?

Depsen tankade ju och installerade fint. Funkade vid andra försöket. Tror du har fel.

CCNA sedan juni 2006

Trädvy Permalänk
Medlem
Plats
Svedala
Registrerad
Apr 2002

Tycker det ser ut som om filen du fick hem var korrupt... och i.o.m att det funkade när du körde från annan source känns det inte helt otroligt.

Trädvy Permalänk
Medlem
Plats
Stockholm
Registrerad
Jul 2004
Citat:

Ursprungligen inskrivet av nillon
Tycker det ser ut som om filen du fick hem var korrupt... och i.o.m att det funkade när du körde från annan source känns det inte helt otroligt.

Mmm...fast precis samma sak hände med MySQL eller php eller vad det var strax efteråt, och då körde jag om igen från SAMMA source och det funkade återigen andra försöket.
Jaja, allt installerat och klart nu, servern uppe. Det blir OpenBSD iallafall även fast php mysqli() inte finns ännu....det var ett så skönt OS i övrigt så jag kör på

Skumt förresten att man har flera smb-demoner körande samtidigt, men så kanske det blir även fast man bara har en utdelning....

CCNA sedan juni 2006